Bug 2130415 - python-starlette-0.21.0 is available
Summary: python-starlette-0.21.0 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-starlette
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Beasley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2094511 2116709
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-09-28 06:21 UTC by Upstream Release Monitoring
Modified: 2022-10-20 12:26 UTC (History)
1 user (show)

Fixed In Version: python-starlette-0.21.0-1.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-10-20 12:26:46 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Upstream Release Monitoring 2022-09-28 06:21:36 UTC
Releases retrieved: 0.21.0
Upstream release that is considered latest: 0.21.0
Current version/release in rawhide: 0.20.4-1.fc37
URL: https://starlette.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/36570/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/python-starlette

Comment 1 Ben Beasley 2022-10-19 18:39:13 UTC
After filtering out the pre-release greenlet 2.0 from requirements.txt, which we will just have to do without until greenlet 2.0 stable is released:

No matching package to install: 'python3dist(databases) >= 0.6.1'
No matching package to install: 'python3dist(databases[sqlite]) >= 0.6.1'
No matching package to install: 'python3dist(trio) >= 0.21'
No matching package to install: 'python3dist(typing-extensions) >= 4.3'

Comment 2 Ben Beasley 2022-10-19 22:15:11 UTC
(In reply to Ben Beasley from comment #1)
> After filtering out the pre-release greenlet 2.0 from requirements.txt,
> which we will just have to do without until greenlet 2.0 stable is released:
> 
> No matching package to install: 'python3dist(databases) >= 0.6.1'
> No matching package to install: 'python3dist(databases[sqlite]) >= 0.6.1'
> No matching package to install: 'python3dist(trio) >= 0.21'
> No matching package to install: 'python3dist(typing-extensions) >= 4.3'

It turns out that these dependencies with versioning issues are generally test dependencies that were pinned in requirements.txt. The spec file was modifying that file to allow newer versions, but it turns out it is more appropriate to remove the version bounds from that file altogether. Version bounds that are not arbitrary will mostly be reflected in install_requires, etc.

https://src.fedoraproject.org/rpms/python-starlette/pull-request/4

Comment 3 Fedora Update System 2022-10-20 12:24:10 UTC
FEDORA-2022-48a3287747 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2022-48a3287747

Comment 4 Fedora Update System 2022-10-20 12:26:46 UTC
FEDORA-2022-48a3287747 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.